Bug 314152 - Crash after deleting unassinged tag.
Summary: Crash after deleting unassinged tag.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Engine (show other bugs)
Version: 2.8.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-30 18:12 UTC by Thomas
Modified: 2021-08-26 16:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.4.0


Attachments
New crash information added by DrKonqi (23.76 KB, text/plain)
2013-03-25 15:57 UTC, Ivan Pavlov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas 2013-01-30 18:12:39 UTC
Application: digikam (2.8.0)
KDE Platform Version: 4.9.4
Qt Version: 4.8.3
Operating System: Linux 3.5.0-22-generic i686
Distribution: Ubuntu 12.10

-- Information about the crash:
- What I was doing when the application crashed:
I removed a tag from all associated photos and then attempted to delete the tag. Then Digikam crashed.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xae91d8c0 (LWP 15559))]

Thread 23 (Thread 0xacef3b40 (LWP 15562)):
#0  0xb3478480 in __i686.get_pc_thunk.bx () from /lib/i386-linux-gnu/libpthread.so.0
#1  0xb347bcbf in pthread_mutex_lock () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb477b864 in pthread_mutex_lock () from /lib/i386-linux-gnu/libc.so.6
#3  0xb3108ed0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb30c7cdc in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb30c81db in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xaf947b7a in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#7  0xb30ed303 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#9  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 22 (Thread 0xab071b40 (LWP 15564)):
#0  0xb7779424 in __kernel_vsyscall ()
#1  0xb347d96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb477b64c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb4a44030 in wait (time=4294967295, this=0xa089bc0) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa089b2c, mutex=0xa089b28, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x081f2389 in Digikam::ScanController::run() ()
#6  0xb4a43a58 in QThreadPrivate::start (arg=0xa08e9d8) at thread/qthread_unix.cpp:338
#7  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 21 (Thread 0xaa6ffb40 (LWP 15565)):
#0  0xb47a9f13 in ?? () from /lib/i386-linux-gnu/libc.so.6
#1  0xb477b838 in pthread_mutex_lock () from /lib/i386-linux-gnu/libc.so.6
#2  0xb3108ed0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb30c7536 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb30c7bff in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb30c7e61 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4b8899f in QEventDispatcherGlib::processEvents (this=0xa9d00468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4b5526c in QEventLoop::processEvents (this=this@entry=0xaa6ff0a8, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4b55561 in QEventLoop::exec (this=0xaa6ff0a8, flags=...) at kernel/qeventloop.cpp:204
#9  0xb4a4066c in QThread::exec (this=0xa0a1630) at thread/qthread.cpp:501
#10 0xb4b337bd in QInotifyFileSystemWatcherEngine::run (this=0xa0a1630) at io/qfilesystemwatcher_inotify.cpp:248
#11 0xb4a43a58 in QThreadPrivate::start (arg=0xa0a1630) at thread/qthread_unix.cpp:338
#12 0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 20 (Thread 0xa9cffb40 (LWP 15967)):
#0  0xb7779424 in __kernel_vsyscall ()
#1  0xb347d96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb477b64c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb4a44030 in wait (time=4294967295, this=0xa2121c0) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa21cd88, mutex=0xa21cd84, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb6a0ffba in Digikam::ParkingThread::run() () from /usr/lib/libdigikamcore.so.2
#6  0xb4a43a58 in QThreadPrivate::start (arg=0xa21cd78) at thread/qthread_unix.cpp:338
#7  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 19 (Thread 0xa8effb40 (LWP 15968)):
#0  idleTimerSourcePrepare (source=0xa85017a8, timeout=0xa8efef0c) at kernel/qeventdispatcher_glib.cpp:206
#1  0xb30c752a in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb30c7bff in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb30c7e61 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb4b8899f in QEventDispatcherGlib::processEvents (this=0xa8500468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0xb4b5526c in QEventLoop::processEvents (this=this@entry=0xa8eff0a8, flags=...) at kernel/qeventloop.cpp:149
#6  0xb4b55561 in QEventLoop::exec (this=0xa8eff0a8, flags=...) at kernel/qeventloop.cpp:204
#7  0xb4a4066c in QThread::exec (this=0xa559858) at thread/qthread.cpp:501
#8  0xb4b337bd in QInotifyFileSystemWatcherEngine::run (this=0xa559858) at io/qfilesystemwatcher_inotify.cpp:248
#9  0xb4a43a58 in QThreadPrivate::start (arg=0xa559858) at thread/qthread_unix.cpp:338
#10 0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#11 0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 18 (Thread 0x9b5fcb40 (LWP 19729)):
#0  0xb347cc64 in __pthread_mutex_unlock_usercnt () from /lib/i386-linux-gnu/libpthread.so.0
#1  0xb477b8a4 in pthread_mutex_unlock () from /lib/i386-linux-gnu/libc.so.6
#2  0xb3108f10 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb30c7589 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb30c7bff in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb30c7e61 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4b8899f in QEventDispatcherGlib::processEvents (this=0xa8503db8, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4b5526c in QEventLoop::processEvents (this=this@entry=0x9b5fc0b8, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4b55561 in QEventLoop::exec (this=0x9b5fc0b8, flags=...) at kernel/qeventloop.cpp:204
#9  0xb6a0f540 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#10 0xb4a36444 in QThreadPoolThread::run (this=0xbab0918) at concurrent/qthreadpool.cpp:107
#11 0xb4a43a58 in QThreadPrivate::start (arg=0xbab0918) at thread/qthread_unix.cpp:338
#12 0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 17 (Thread 0x9a3feb40 (LWP 19730)):
#0  0xb7779424 in __kernel_vsyscall ()
#1  0xb475f5f0 in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0xb30d674b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb30c7d00 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb30c7e61 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4b8899f in QEventDispatcherGlib::processEvents (this=0xa2d16a08, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4b5526c in QEventLoop::processEvents (this=this@entry=0x9a3fe0b8, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4b55561 in QEventLoop::exec (this=0x9a3fe0b8, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6a0f540 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#9  0xb4a36444 in QThreadPoolThread::run (this=0xa5804e0) at concurrent/qthreadpool.cpp:107
#10 0xb4a43a58 in QThreadPrivate::start (arg=0xa5804e0) at thread/qthread_unix.cpp:338
#11 0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 16 (Thread 0x9abffb40 (LWP 19731)):
#0  0xb347bdc8 in pthread_mutex_lock () from /lib/i386-linux-gnu/libpthread.so.0
#1  0xb477b864 in pthread_mutex_lock () from /lib/i386-linux-gnu/libc.so.6
#2  0xb3108ed0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb30c78be in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb30c7d80 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb30c7e61 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4b8899f in QEventDispatcherGlib::processEvents (this=0xac5022e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4b5526c in QEventLoop::processEvents (this=this@entry=0x9abff0b8, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4b55561 in QEventLoop::exec (this=0x9abff0b8, flags=...) at kernel/qeventloop.cpp:204
#9  0xb6a0f540 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#10 0xb4a36444 in QThreadPoolThread::run (this=0xbab0a70) at concurrent/qthreadpool.cpp:107
#11 0xb4a43a58 in QThreadPrivate::start (arg=0xbab0a70) at thread/qthread_unix.cpp:338
#12 0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 15 (Thread 0x9c5feb40 (LWP 19732)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 14 (Thread 0xa0a9eb40 (LWP 19733)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 13 (Thread 0x9bdfdb40 (LWP 19734)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 12 (Thread 0x99bfdb40 (LWP 20132)):
#0  0xb7779424 in __kernel_vsyscall ()
#1  0xb475d3eb in read () from /lib/i386-linux-gnu/libc.so.6
#2  0xb31081ae in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb30c783b in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb30c7c92 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb30c7e61 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4b8899f in QEventDispatcherGlib::processEvents (this=0xa5243a0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4b5526c in QEventLoop::processEvents (this=this@entry=0x99bfd0b8, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4b55561 in QEventLoop::exec (this=0x99bfd0b8, flags=...) at kernel/qeventloop.cpp:204
#9  0xb6a0f540 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#10 0xb4a36444 in QThreadPoolThread::run (this=0xbf5a5e0) at concurrent/qthreadpool.cpp:107
#11 0xb4a43a58 in QThreadPrivate::start (arg=0xbf5a5e0) at thread/qthread_unix.cpp:338
#12 0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 11 (Thread 0x993fcb40 (LWP 20133)):
#0  0xb7779424 in __kernel_vsyscall ()
#1  0xb475d3eb in read () from /lib/i386-linux-gnu/libc.so.6
#2  0xb31081ae in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb30c783b in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb30c7c92 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb30c7e61 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4b8899f in QEventDispatcherGlib::processEvents (this=0xa2d03bb0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4b5526c in QEventLoop::processEvents (this=this@entry=0x993fc0b8, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4b55561 in QEventLoop::exec (this=0x993fc0b8, flags=...) at kernel/qeventloop.cpp:204
#9  0xb6a0f540 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#10 0xb4a36444 in QThreadPoolThread::run (this=0xcfac750) at concurrent/qthreadpool.cpp:107
#11 0xb4a43a58 in QThreadPrivate::start (arg=0xcfac750) at thread/qthread_unix.cpp:338
#12 0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 10 (Thread 0x98bfbb40 (LWP 20134)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 9 (Thread 0x983fab40 (LWP 20135)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 8 (Thread 0x97bf9b40 (LWP 20136)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 7 (Thread 0x973f8b40 (LWP 20137)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 6 (Thread 0x96bf7b40 (LWP 20138)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 5 (Thread 0x963f6b40 (LWP 20139)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0x95bf5b40 (LWP 20140)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0x953f4b40 (LWP 20141)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0x94bf3b40 (LWP 20142)):
#0  0xb3603722 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#1  0xb36037d6 in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#2  0xb3601dbc in ?? () from /usr/lib/i386-linux-gnu/libgomp.so.1
#3  0xb3479d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#4  0xb476dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xae91d8c0 (LWP 15559)):
[KCrash Handler]
#7  QSortFilterProxyModelPrivate::updateChildrenMapping (this=0xaaffeb0, source_parent=..., parent_mapping=0xaf584a0, orient=Qt::Vertical, start=10, end=10, delta_item_count=1, remove=true) at itemviews/qsortfilterproxymodel.cpp:948
#8  0xb56edf7c in source_items_removed (orient=Qt::Vertical, end=10, start=10, source_parent=..., this=0xaaffeb0) at itemviews/qsortfilterproxymodel.cpp:890
#9  QSortFilterProxyModelPrivate::source_items_removed (this=0xaaffeb0, source_parent=..., start=10, end=10, orient=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:848
#10 0xb56ee15b in QSortFilterProxyModelPrivate::_q_sourceRowsRemoved (this=0xaaffeb0, source_parent=..., start=10, end=10) at itemviews/qsortfilterproxymodel.cpp:1298
#11 0xb4b6eed6 in QMetaObject::activate (sender=0xab01568, m=0x850bde0 <QAbstractItemModel::staticMetaObject>, local_signal_index=7, argv=0xbf9e53f0) at kernel/qobject.cpp:3547
#12 0xb4bbe8b5 in QAbstractItemModel::rowsRemoved (this=0xab01568, _t1=..., _t2=10, _t3=10) at .moc/release-shared/moc_qabstractitemmodel.cpp:211
#13 0xb4b4f77e in QAbstractItemModel::endRemoveRows (this=0xab01568) at kernel/qabstractitemmodel.cpp:2487
#14 0xb56ec735 in QSortFilterProxyModelPrivate::remove_proxy_interval (this=0xab01590, source_to_proxy=..., proxy_to_source=..., proxy_start=10, proxy_end=10, proxy_parent=..., orient=Qt::Vertical, emit_signal=true) at itemviews/qsortfilterproxymodel.cpp:569
#15 0xb56f14f8 in QSortFilterProxyModelPrivate::remove_source_items (this=0xab01590, source_to_proxy=..., proxy_to_source=..., source_items=..., source_parent=..., orient=Qt::Vertical, emit_signal=emit_signal@entry=true) at itemviews/qsortfilterproxymodel.cpp:539
#16 0xb56f2d2b in QSortFilterProxyModelPrivate::source_items_about_to_be_removed (this=this@entry=0xab01590, source_parent=..., start=start@entry=11, end=end@entry=11, orient=orient@entry=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:840
#17 0xb56f2e26 in QSortFilterProxyModelPrivate::_q_sourceRowsAboutToBeRemoved (this=0xab01590, source_parent=..., start=11, end=11) at itemviews/qsortfilterproxymodel.cpp:1291
#18 0xb4b6eed6 in QMetaObject::activate (sender=0xaafb850, m=0x850bde0 <QAbstractItemModel::staticMetaObject>, local_signal_index=6, argv=0xbf9e5670) at kernel/qobject.cpp:3547
#19 0xb4bbe855 in QAbstractItemModel::rowsAboutToBeRemoved (this=0xaafb850, _t1=..., _t2=11, _t3=11) at .moc/release-shared/moc_qabstractitemmodel.cpp:204
#20 0xb4b4d468 in QAbstractItemModel::beginRemoveRows (this=0xaafb850, parent=..., first=11, last=11) at kernel/qabstractitemmodel.cpp:2470
#21 0x08195df0 in Digikam::AbstractAlbumModel::slotAlbumAboutToBeDeleted(Digikam::Album*) ()
#22 0x08194592 in Digikam::AbstractAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) ()
#23 0xb4b6eed6 in QMetaObject::activate (sender=0xa065478, m=0x83b4454 <Digikam::AlbumManager::staticMetaObject>, local_signal_index=2, argv=0xbf9e5828) at kernel/qobject.cpp:3547
#24 0x081bef68 in Digikam::AlbumManager::signalAlbumAboutToBeDeleted(Digikam::Album*) ()
#25 0x081cc9e9 in Digikam::AlbumManager::removeTAlbum(Digikam::TAlbum*) ()
#26 0x081cabc5 in Digikam::AlbumManager::deleteTAlbum(Digikam::TAlbum*, QString&) ()
#27 0x08253d1c in Digikam::TagModificationHelper::slotTagDelete(Digikam::TAlbum*) ()
#28 0x08253faf in Digikam::TagModificationHelper::slotTagDelete() ()
#29 0x08252a3f in Digikam::TagModificationHelper::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) ()
#30 0xb4b6eed6 in QMetaObject::activate (sender=0xb642718, m=0x850d950 <QAction::staticMetaObject>, local_signal_index=1, argv=0xbf9e5aa8) at kernel/qobject.cpp:3547
#31 0xb50bc10d in QAction::triggered (this=this@entry=0xb642718, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#32 0xb50bc3ac in QAction::activate (this=0xb642718, event=QAction::Trigger) at kernel/qaction.cpp:1257
#33 0xb556e225 in QMenuPrivate::activateCausedStack (this=0xba166c8, causedStack=..., action=0xb642718, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1028
#34 0xb5575326 in QMenuPrivate::activateAction (this=0xba166c8, action=0xb642718, action_e=QAction::Trigger, self=self@entry=true) at widgets/qmenu.cpp:1120
#35 0xb5576275 in QMenu::mouseReleaseEvent (this=0xbf9e6af8, e=0xbf9e6334) at widgets/qmenu.cpp:2360
#36 0xb5d0ef8c in KMenu::mouseReleaseEvent (this=0xbf9e6af8, e=0xbf9e6334) at ../../kdeui/widgets/kmenu.cpp:464
#37 0xb511c6df in QWidget::event (this=0xbf9e6af8, event=0xbf9e6334) at kernel/qwidget.cpp:8371
#38 0xb557676c in QMenu::event (this=0xbf9e6af8, e=0xbf9e6334) at widgets/qmenu.cpp:2469
#39 0xb50c339c in QApplicationPrivate::notify_helper (this=0x9e67e00, receiver=0xbf9e6af8, e=0xbf9e6334) at kernel/qapplication.cpp:4562
#40 0xb50c8892 in QApplication::notify (this=0x9e67e00, receiver=0xbf9e6af8, e=0xbf9e6334) at kernel/qapplication.cpp:4105
#41 0xb5c36e91 in KApplication::notify (this=0xbf9e7c78, receiver=0xbf9e6af8, event=0xbf9e6334) at ../../kdeui/kernel/kapplication.cpp:311
#42 0xb4b5678e in QCoreApplication::notifyInternal (this=0xbf9e7c78, receiver=0xbf9e6af8, event=0xbf9e6334) at kernel/qcoreapplication.cpp:915
#43 0xb50c4206 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#44 QApplicationPrivate::sendMouseEvent (receiver=0xbf9e6af8, event=0xbf9e6334, alienWidget=0x0, nativeWidget=0xbf9e6af8, buttonDown=0xb5a54d14 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3173
#45 0xb514f91f in QETWidget::translateMouseEvent (this=0xbf9e6af8, event=0xbf9e675c) at kernel/qapplication_x11.cpp:4556
#46 0xb514e705 in QApplication::x11ProcessEvent (this=0xbf9e7c78, event=0xbf9e675c) at kernel/qapplication_x11.cpp:3737
#47 0xb5179dc4 in x11EventSourceDispatch (s=0x9e6e4a8, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#48 0xb30c79e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#49 0xb30c7d80 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#50 0xb30c7e61 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#51 0xb4b88981 in QEventDispatcherGlib::processEvents (this=0x9e1d7d0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#52 0xb51799aa in QGuiEventDispatcherGlib::processEvents (this=0x9e1d7d0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#53 0xb4b5526c in QEventLoop::processEvents (this=this@entry=0xbf9e6a48, flags=...) at kernel/qeventloop.cpp:149
#54 0xb4b55561 in QEventLoop::exec (this=0xbf9e6a48, flags=...) at kernel/qeventloop.cpp:204
#55 0xb5572b27 in QMenu::exec (this=0xbf9e6af8, p=..., action=0x0) at widgets/qmenu.cpp:2113
#56 0x08261b64 in Digikam::ContextMenuHelper::exec(QPoint const&, QAction*) ()
#57 0x081e6ec1 in Digikam::AbstractAlbumTreeView::contextMenuEvent(QContextMenuEvent*) ()
#58 0xb511cb85 in QWidget::event (this=0xab87a30, event=0xbf9e7340) at kernel/qwidget.cpp:8538
#59 0xb552cf15 in QFrame::event (this=0xab87a30, e=0xbf9e7340) at widgets/qframe.cpp:557
#60 0xb55bd733 in QAbstractScrollArea::viewportEvent (this=0xab87a30, e=0xbf9e7340) at widgets/qabstractscrollarea.cpp:1043
#61 0xb565e04c in QAbstractItemView::viewportEvent (this=0xab87a30, event=0xbf9e7340) at itemviews/qabstractitemview.cpp:1644
#62 0xb56a86c7 in QTreeView::viewportEvent (this=0xab87a30, event=0xbf9e7340) at itemviews/qtreeview.cpp:1257
#63 0x081e57d6 in Digikam::AbstractAlbumTreeView::viewportEvent(QEvent*) ()
#64 0xb55bfef6 in viewportEvent (event=0xbf9e7340, this=<optimized out>) at widgets/qabstractscrollarea_p.h:100
#65 QAbstractScrollAreaFilter::eventFilter (this=0xab86b30, o=0xab87ee0, e=0xbf9e7340) at widgets/qabstractscrollarea_p.h:116
#66 0xb4b568fe in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9e67e00, receiver=0xab87ee0, event=0xbf9e7340) at kernel/qcoreapplication.cpp:1025
#67 0xb50c336d in QApplicationPrivate::notify_helper (this=0x9e67e00, receiver=0xab87ee0, e=0xbf9e7340) at kernel/qapplication.cpp:4558
#68 0xb50c8aab in QApplication::notify (this=0xbf9e70c0, receiver=0xab87ee0, e=0xbf9e7340) at kernel/qapplication.cpp:4184
#69 0xb5c36e91 in KApplication::notify (this=0xbf9e7c78, receiver=0xab87ee0, event=0xbf9e7340) at ../../kdeui/kernel/kapplication.cpp:311
#70 0xb4b5678e in QCoreApplication::notifyInternal (this=0xbf9e7c78, receiver=0xab87ee0, event=0xbf9e7340) at kernel/qcoreapplication.cpp:915
#71 0xb514fae8 in sendSpontaneousEvent (event=0xbf9e7330, receiver=0xab87ee0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#72 QETWidget::translateMouseEvent (this=0xa300480, event=0xbf9e778c) at kernel/qapplication_x11.cpp:4627
#73 0xb514e705 in QApplication::x11ProcessEvent (this=0xbf9e7c78, event=0xbf9e778c) at kernel/qapplication_x11.cpp:3737
#74 0xb5179dc4 in x11EventSourceDispatch (s=0x9e6e4a8, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#75 0xb30c79e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#76 0xb30c7d80 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#77 0xb30c7e61 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#78 0xb4b88981 in QEventDispatcherGlib::processEvents (this=0x9e1d7d0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#79 0xb51799aa in QGuiEventDispatcherGlib::processEvents (this=0x9e1d7d0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#80 0xb4b5526c in QEventLoop::processEvents (this=this@entry=0xbf9e7a88, flags=...) at kernel/qeventloop.cpp:149
#81 0xb4b55561 in QEventLoop::exec (this=0xbf9e7a88, flags=...) at kernel/qeventloop.cpp:204
#82 0xb4b5acba in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#83 0xb50c0fc4 in QApplication::exec () at kernel/qapplication.cpp:3823
#84 0x082b77bf in main ()

This bug may be a duplicate of or related to bug 306051, bug 310950.

Possible duplicates by query: bug 312372, bug 310950, bug 309061, bug 306051.

Reported using DrKonqi
Comment 1 caulier.gilles 2013-01-30 18:53:47 UTC

*** This bug has been marked as a duplicate of bug 309061 ***
Comment 2 Ivan Pavlov 2013-03-25 15:57:43 UTC
Created attachment 78378 [details]
New crash information added by DrKonqi

digikam (3.0.0) on KDE Platform 4.10.1 using Qt 4.8.3

- What I was doing when the application crashed:

Deleting an unassigned tag. It's all, nothing more.

-- Backtrace (Reduced):
#6  QSortFilterProxyModelPrivate::updateChildrenMapping (this=this@entry=0x283f430, source_parent=..., parent_mapping=parent_mapping@entry=0x40acc60, orient=orient@entry=Qt::Vertical, start=start@entry=3, end=end@entry=3, delta_item_count=delta_item_count@entry=1, remove=remove@entry=true) at itemviews/qsortfilterproxymodel.cpp:948
#7  0x00007f9b0f5675c0 in source_items_removed (orient=Qt::Vertical, end=3, start=3, source_parent=..., this=<optimized out>) at itemviews/qsortfilterproxymodel.cpp:890
#8  QSortFilterProxyModelPrivate::source_items_removed (this=0x283f430, source_parent=..., start=3, end=<optimized out>, orient=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:848
[...]
#10 0x00007f9b0e656cb4 in QAbstractItemModel::rowsRemoved (this=<optimized out>, _t1=..., _t2=3, _t3=3) at .moc/release-shared/moc_qabstractitemmodel.cpp:211
#11 0x00007f9b0e5f0f3d in QAbstractItemModel::endRemoveRows (this=0x2841e40) at kernel/qabstractitemmodel.cpp:2487
Comment 3 caulier.gilles 2021-08-26 16:52:02 UTC
Fixed with #309061